Ask Your Question
0

Rviz closing just after being run, problems with NVidia driver

asked 2011-03-15 09:45:01 -0500

tom gravatar image

After localizing and temporarily solving an SSE3-issue with openni_camera (ticket #4870) I'm facing another issue (I'm mentioning this in case this can leave a hint for the next one).

I cannot run rviz, the process simply closes after running rosrun rviz rviz. I'm on Diamondback, Maverick, running AMD Sempron 3100+ processor and a nVidia Corporation C51G [GeForce 6100] (rev a2) graphics card.

I created a launchfile to run rviz with GDB, and here is what I'm getting. Any clues?

Reading symbols from /home/user/ros/visualization/rviz/bin/rviz...done.
Starting program: /home/user/ros/visualization/rviz/bin/rviz __name:=rviz __log:=/home/user/.ros/log/908294b8-4ef6-11e0-9e3d-001d7e94a572/rviz-2.log
[Thread debugging using libthread_db enabled]
[New Thread 0xb6cf0b70 (LWP 8181)]
[New Thread 0xb64efb70 (LWP 8183)]
[New Thread 0xb5ceeb70 (LWP 8184)]
[New Thread 0xb54edb70 (LWP 8185)]
[New Thread 0xb4cecb70 (LWP 8190)]
[ INFO] [1300188179.676667659]: Loading general config from [/home/user/.rviz/config]
[ INFO] [1300188179.680106687]: Loading display config from [/home/user/.rviz/display_config]

Program received signal SIGSEGV, Segmentation fault.
0x02a7aad8 in ?? () from /usr/lib/nvidia-current/libGL.so.1
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2011-03-15 09:47:36 -0500

tom gravatar image

updated 2011-03-15 11:19:21 -0500

tfoote gravatar image

I found the solution after reading this. I simply switched to an older driver after reading dmesg messages saying something about /usr/lib/libnvidia-glcore.so.260.19.12 segmentation fault issues.

edit flag offensive delete link more

Comments

BTW, here is a discussion on whether people should be able to tag their own answers right: http://answers.ros.org/question/338/why-cannot-i-tag-one-of-my-answers-as-answering-my
tom gravatar image tom  ( 2011-03-15 09:53:25 -0500 )edit
Can you update to the 270 series of drivers? I've been running 270.29 on Ubuntu 10.10 and haven't had problems.
Eric Perko gravatar image Eric Perko  ( 2011-03-15 10:47:13 -0500 )edit
newbie question: how do you switch between different nvidia drivers in ubuntu?
raphael favier gravatar image raphael favier  ( 2011-03-15 10:55:52 -0500 )edit
These are the directions I used: http://www.webupd8.org/2010/06/how-to-install-nvidia-25635-display.html (note that they are a bit out of date on which versions are available, but the directions are the same). There are also some details on switching back and forth by purging the PPA to downgrade.
Eric Perko gravatar image Eric Perko  ( 2011-03-15 11:02:06 -0500 )edit
Unfortunately there is the same problem with libnvidia-glcore.so.270.29 on my machine. Switching back to 173... This must be a 10.10 vs NVidia issue, as I didn't have any problems on 10.04. Or they compiled their drivers with SSE3 recently :).
tom gravatar image tom  ( 2011-03-15 19:47:37 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-03-15 09:45:01 -0500

Seen: 808 times

Last updated: Mar 15 '11